org.apache.lucene.queryparser.xml

## Interface QueryBuilder

- All Known Subinterfaces:
    SpanQueryBuilder
  All Known Implementing Classes:
    BooleanQueryBuilder, BoostingQueryBuilder, BoostingTermBuilder, ConstantScoreQueryBuilder, CoreParser, CorePlusExtensionsParser, CorePlusQueriesParser, DisjunctionMaxQueryBuilder, FuzzyLikeThisQueryBuilder, LikeThisQueryBuilder, MatchAllDocsQueryBuilder, PointRangeQueryBuilder, QueryBuilderFactory, RangeQueryBuilder, SpanBuilderBase, SpanFirstBuilder, SpanNearBuilder, SpanNotBuilder, SpanOrBuilder, SpanOrTermsBuilder, SpanQueryBuilderFactory, SpanTermBuilder, TermQueryBuilder, TermsQueryBuilder, UserInputQueryBuilder

      public interface QueryBuilder

  Implemented by objects that produce Lucene Query objects from XML streams. Implementations are expected to be thread-safe so that they can be used to simultaneously parse multiple XML documents.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `getQuery(Element e)`

- - ### Method Detail

    - #### getQuery

          Query getQuery(Element e)
                  throws ParserException

      Throws:
        `ParserException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.